Bug 1470817 - (CVE-2017-7537) CVE-2017-7537 pki-core: mock CMC authentication plugin with hardcoded secret enabled by default
CVE-2017-7537 pki-core: mock CMC authentication plugin with hardcoded secret ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170721,repor...
: Security
Depends On: 1470947 1469432 1470948
Blocks: 1470819
  Show dependency treegraph
 
Reported: 2017-07-13 14:09 EDT by Adam Mariš
Modified: 2017-08-02 04:29 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that a mock CMC authentication plugin with a hardcoded secret was accidentally enabled by default in the pki-core package. An attacker could potentially use this flaw to bypass the regular authentication process and trick the CA server into issuing certificates.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 04:29:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to disable SharedSecret plugin (1.16 KB, patch)
2017-07-14 05:00 EDT, Dhiru Kholia
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-07-13 14:09:28 EDT
New CMC feature allows non-agent to submit request for automatic approval, one of them being "SharedToken" currently implemented only as hard-coded string. Anyone who knows about this hard-coded string could get themselves a certificate issued.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1466486

Upstream patch:

https://github.com/dogtagpki/pki/commit/876d13c6d20e7e1235b9
Comment 4 Dhiru Kholia 2017-07-14 05:00 EDT
Created attachment 1298215 [details]
patch to disable SharedSecret plugin
Comment 5 Dhiru Kholia 2017-07-19 05:47:32 EDT
Acknowledgments:

Name: Christina Fu (Red Hat)
Comment 6 errata-xmlrpc 2017-08-01 07:31:59 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2335 https://access.redhat.com/errata/RHSA-2017:2335

Note You need to log in before you can comment on or make changes to this bug.